Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Interface JDBCTypes

All Superinterfaces:
  JDOTypes

All Known Implementing Classes:
  AbstractFieldMapping

public interface JDBCTypes
extends JDOTypes

JDBC type constants.

Field Summary
`static int` | `TYPE_ASCII_STREAM`
`static int` | `TYPE_BINARY_STREAM`
`static int` | `TYPE_BLOB`
`static int` | `TYPE_BYTES`
`static int` | `TYPE_CHAR_STREAM`
`static int` | `TYPE_CLOB`
`static int` | `TYPE_JDBC_DEFAULT`
`static int` | `TYPE_REF`
`static int` | `TYPE_SQL_ARRAY`
`static int` | `TYPE_SQL_DATE`
`static int` | `TYPE_SQL_OBJECT`
`static int` | `TYPE_TIME`
`static int` | `TYPE_TIMESTAMP`

Fields inherited from interface kodo.meta.JDOTypes
`TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING`

Field Detail

### TYPE_SQL_ARRAY

    public static final int TYPE_SQL_ARRAY

### TYPE_ASCII_STREAM

    public static final int TYPE_ASCII_STREAM

### TYPE_BINARY_STREAM

    public static final int TYPE_BINARY_STREAM

### TYPE_BLOB

    public static final int TYPE_BLOB

### TYPE_BYTES

    public static final int TYPE_BYTES

### TYPE_CHAR_STREAM

    public static final int TYPE_CHAR_STREAM

### TYPE_CLOB

    public static final int TYPE_CLOB

### TYPE_SQL_DATE

    public static final int TYPE_SQL_DATE

### TYPE_SQL_OBJECT

    public static final int TYPE_SQL_OBJECT

### TYPE_REF

    public static final int TYPE_REF

### TYPE_TIME

    public static final int TYPE_TIME

### TYPE_TIMESTAMP

    public static final int TYPE_TIMESTAMP

### TYPE_JDBC_DEFAULT

    public static final int TYPE_JDBC_DEFAULT

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.